API Reference

Retrieve All Context Source Versions

Returns the list of all context source versions for a context source, sorted by version updated date in descending order.

Endpoint
GET https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions

// Example
GET https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions

Endpoint Response

A successful call returns a response that contains a list of context source version objects.

HTTP Status Codes
200 OK The context source versions were retrieved, or an empty list was returned.
500 Internal Server Error Something went wrong on Zatomic's end.
Response Body - File Context Source Versions
[
   {
      "version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
      "context_source_id": "cts_2qRzu8geIvfudcJTwP0pur4TbMJ",
      "created": "2024-12-19T20:33:16.076891Z",
      "updated": "2024-12-19T20:39:13.026997Z",
      "is_primary": true,
      "is_locked": false,
      "locked_by": null,
      "name": null,
      "type": "file",
      "file_name": "file.md",
      "file_size_in_bytes": 17824,
      "file_download_url": "https://download-url"
   }
]
Response Body - Text Context Source Versions
[
   {
      "version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
      "context_source_id": "cts_2qRzu8geIvfudcJTwP0pur4TbMJ",
      "created": "2024-12-19T20:33:16.076891Z",
      "updated": "2024-12-19T20:39:13.026997Z",
      "is_primary": true,
      "is_locked": false,
      "locked_by": null,
      "name": null,
      "type": "text",
      "content": "This is a reusable piece of text."
   }
]